<?xml version="1.0" encoding="utf-8"?>
<android.support.design.widget.CoordinatorLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".admin.view.SemesterAddFragment">

    <android.support.design.widget.AppBarLayout
        android:id="@+id/appbar_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:fitsSystemWindows="true"
        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

        <android.support.design.widget.CollapsingToolbarLayout
            android:id="@+id/collapsing_toolbar_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fitsSystemWindows="true"
            app:contentScrim="?android:attr/colorPrimary"
            app:expandedTitleTextAppearance="@android:color/transparent"
            app:layout_scrollFlags="scroll|exitUntilCollapsed">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fitsSystemWindows="true">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="226dp"
                    android:scaleType="centerCrop"
                    android:src="@drawable/animated_proctor_office_bg" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="226dp"
                    android:background="@drawable/black_rectangle"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/add_proctor_header"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_gravity="center"
                        android:padding="10dp"
                        android:text="Fill The form to add a new Semester Record"
                        android:textAlignment="center"
                        android:textColor="@color/textWhite"
                        android:textSize="16sp" />

                    <android.support.v7.widget.CardView
                        android:id="@+id/login_error_msg"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:elevation="5dp"
                        android:visibility="gone"
                        app:cardBackgroundColor="#F44336">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:padding="10dp"
                            android:text="Email and/or Password is not correct"
                            android:textAlignment="center"
                            android:textColor="#ffffff"
                            android:textStyle="bold" />

                    </android.support.v7.widget.CardView>
                </RelativeLayout>
            </RelativeLayout>

            <android.support.v7.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?android:attr/actionBarSize"
                android:title="@string/app_name"
                app:layout_collapseMode="pin"
                app:popupTheme="@style/ThemeOverlay.AppCompat.Light" />
        </android.support.design.widget.CollapsingToolbarLayout>
    </android.support.design.widget.AppBarLayout>

    <ScrollView
        android:id="@+id/scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="150dp">

        <android.support.constraint.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="8dp">

            <android.support.v7.widget.CardView
                android:id="@+id/field_card"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="16dp"
                android:paddingBottom="16dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent">

                <LinearLayout
                    android:id="@+id/field_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:id="@+id/add_more_semester"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@color/textBlack"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentLeft="true"
                            android:padding="16dp"
                            android:text="Semesters"
                            android:textColor="@color/textWhite" />

                        <TextView
                            android:id="@+id/add_more_semester_button"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:drawableLeft="@drawable/add"
                            android:drawablePadding="8dp"
                            android:padding="16dp"
                            android:text="Add More Semester"
                            android:textColor="@color/textWhite" />
                    </RelativeLayout>

                    <LinearLayout
                        android:id="@+id/semester_spinner_container"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <LinearLayout
                            android:id="@+id/teacher_designation_layout"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="20dp"
                                android:layout_marginTop="16dp"
                                android:src="@drawable/school_black_24" />

                            <Spinner
                                android:id="@+id/semester_spinner"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="10dp"
                                android:layout_marginRight="20dp"
                                android:layout_marginTop="8dp" />
                        </LinearLayout>

                        <View
                            android:id="@+id/teacher_designation_divider"
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_marginEnd="8dp"
                            android:layout_marginStart="8dp"
                            android:layout_marginTop="8dp"
                            android:background="?android:attr/listDivider"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/teacher_designation_layout" />

                    </LinearLayout>


                    <Button
                        android:id="@+id/semester_add_submit_btn"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="8dp"
                        android:layout_marginEnd="8dp"
                        android:layout_marginStart="8dp"
                        android:backgroundTint="@color/colorPrimaryDark"
                        android:padding="20dp"
                        android:text="Submit"
                        android:textColor="@color/textWhite"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/teacher_designation_divider" />
                </LinearLayout>
            </android.support.v7.widget.CardView>
        </android.support.constraint.ConstraintLayout>
    </ScrollView>
</android.support.design.widget.CoordinatorLayout>
